[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# SetClipboard

SetClipboard - sets up and returns a NewClipboard, with an optional type specifier.

## Declaration

Source position: clipbrd.pp line 235

`function SetClipboard(`
`NewClipboard: TClipboard`
`):TClipboard; function SetClipboard(`
`ClipboardType: TClipboardType;`
`NewClipboard: TClipboard`
`):TClipboard;`

## Arguments

`NewClipboard` |  | NewClipboard - the new clipboard to be set up.

## Function result

Returns a variable of type TClipboard.

## Arguments

`ClipboardType` |  | ClipboardType - optional argument to specify type of clipboard.
`NewClipboard` |  | NewClipboard - the new clipboard to be set up.